Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZContentObjectTranslation Class Reference

eZContentObjectTranslation handles translation a translation of content objects More...

## Public Member Functions
| __construct ( $contentObjectID, $version, $languageCode)
| languageCode ()
| attributes ()
| hasAttribute ( $attribute)
| attribute ( $attribute)
| locale ()
| objectAttributes ( $asObject=true)

## Public Attributes
| $Locale
| $ContentObjectID
| The content object identifier. More...
| $Version
| Contains the content object. More...
| $LanguageCode
| Contains the language code for the current translation. More...

## Detailed Description

eZContentObjectTranslation handles translation a translation of content objects

See also
  eZContentObject eZContentObjectVersion eZContentObjectTranslation

Definition at line 19 of file ezcontentobjecttranslation.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZContentObjectTranslation::__construct | ( |  | $contentObjectID,
|  |  | $version,
|  |  | $languageCode
| ) |  |

Constructor

Parameters

  int | $contentObjectID |
  int | $version |
  string | $languageCode |

Definition at line 29 of file ezcontentobjecttranslation.php.

## Member Function Documentation

## ◆ attribute()

eZContentObjectTranslation::attribute | ( |  | $attribute | ) |

Definition at line 55 of file ezcontentobjecttranslation.php.

References $ContentObjectID, $LanguageCode, $Version, locale(), and eZDebug\writeError().

## ◆ attributes()

eZContentObjectTranslation::attributes | ( |  | ) |

Definition at line 42 of file ezcontentobjecttranslation.php.

Referenced by hasAttribute().

## ◆ hasAttribute()

eZContentObjectTranslation::hasAttribute | ( |  | $attribute | ) |

Definition at line 50 of file ezcontentobjecttranslation.php.

References attributes().

## ◆ languageCode()

eZContentObjectTranslation::languageCode | ( |  | ) |

Definition at line 37 of file ezcontentobjecttranslation.php.

References $LanguageCode.

## ◆ locale()

eZContentObjectTranslation::locale | ( |  | ) |

Definition at line 72 of file ezcontentobjecttranslation.php.

References $Locale, and eZLocale\instance().

Referenced by attribute().

## ◆ objectAttributes()

eZContentObjectTranslation::objectAttributes | ( |  | $asObject = `true` | ) |

Returns the attributes for the current content object translation.

Definition at line 83 of file ezcontentobjecttranslation.php.

References eZContentObjectVersion\fetchAttributes().

## Member Data Documentation

## ◆ $ContentObjectID

eZContentObjectTranslation::$ContentObjectID

The content object identifier.

Definition at line 89 of file ezcontentobjecttranslation.php.

Referenced by attribute().

## ◆ $LanguageCode

eZContentObjectTranslation::$LanguageCode

Contains the language code for the current translation.

Definition at line 94 of file ezcontentobjecttranslation.php.

Referenced by attribute(), and languageCode().

## ◆ $Locale

eZContentObjectTranslation::$Locale

Definition at line 21 of file ezcontentobjecttranslation.php.

Referenced by locale().

## ◆ $Version

eZContentObjectTranslation::$Version

Contains the content object.

Definition at line 91 of file ezcontentobjecttranslation.php.

Referenced by attribute().

The documentation for this class was generated from the following file:

- ezcontentobjecttranslation.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.